Package org.apache.tapestry5.corelib.components

# Class GridColumns

java.lang.Object
org.apache.tapestry5.corelib.components.GridColumns

@SupportsInformalParameters @Events("inplaceupdate (internal event)") public class GridColumns extends Object
Renders out the column headers for the grid, including links (where appropriate) to control column sorting.

Component Parameters
Name | Type | Flags | Default | Default Prefix
--- | --- | --- | --- | ---
gridModel | org.apache.tapestry5.grid.GridModel |  | componentResources.container | prop
The object that provides access to bean and data models, which is typically the enclosing Grid component.
index | int |  |  | prop
Optional output parameter that stores the current column index.
lean | boolean |  |  | prop
If true, then the CSS class on each TH element will be omitted, which can reduce the amount of output from the component overall by a considerable amount. Leave this as false, the default, when you are leveraging the CSS to customize the look and feel of particular columns.
overrides | org.apache.tapestry5.PropertyOverrides |  | this | prop
Where to look for informal parameter Blocks used to override column headers. The default is to look for such overrides in the GridColumns component itself, but this is usually overridden.
zone | String |  |  | prop
If not null, then each link is output as a link to update the specified zone.

Component Events
Name | Description
--- | ---
inplaceupdate | (internal event)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GridColumns()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Block`
  `getBlockForColumn()`
  `List<String>`
  `getColumnNames()`
  `String`
  `getInplaceGridLinks()`
  Returns null or "true", depending on whether the Grid is rendering for in-place updates or not ("true" means in-place updates).
  `boolean`
  `isActiveSortColumn()`
  `boolean`
  `isSortDisabled()`
  `void`
  `setColumnName(String columnName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GridColumns

    public GridColumns()

- ## Method Details

  - ### isSortDisabled

    public boolean isSortDisabled()

  - ### isActiveSortColumn

    public boolean isActiveSortColumn()

  - ### getColumnNames

    public List<String> getColumnNames()

  - ### setColumnName

    public void setColumnName(String columnName)

  - ### getBlockForColumn

    public Block getBlockForColumn()

  - ### getInplaceGridLinks

    public String getInplaceGridLinks()
    Returns null or "true", depending on whether the Grid is rendering for in-place updates or not ("true" means in-place updates). The affects whether the data-inplace-grid-links attribute will be rendered or not.